Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Interface Table

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, oracle.dms.table.KeyColumns, Name, java.io.Serializable

public interface Table
extends Name, oracle.dms.table.KeyColumns

`Table` contains metric values of a metric table.

Since:
  Oracle Application Server 10g (10.1.3)

Method Summary
`void` | `close()` Clears the contents of this `Table`.
`boolean` | `containsKey(java.lang.String name)` Returns `true` if this `Table` contains the given key column.
`java.util.Enumeration` | `enumerateKeys(boolean sorted)` Enumerates the names of the key columns in this `Table` as `String`s.
`java.util.Enumeration` | `enumerateRows()` Enumerates the `Row`s in this `Table`.
`java.util.Enumeration` | `enumerateRows(RowComparator comparator)` Enumerates the `Row`s in this `Table` in the order determined by the given `RowComparator` object.
`java.util.Enumeration` | `enumerateRows(RowSelector selector)` Enumerates the `Row`s in this `Table` that meet the criteria determined by the given `RowSelector` object.
`java.lang.String[]` | `getKeys()` Gets the names of the key columns in this `Table` as an array.
`Row` | `getRow(Key key)` Returns the `Row` identified by the given `Key`.
`Schema` | `getSchema()` Gets the `Schema` of this `Table`.
`boolean` | `hasRows()` Returns `true` if this `Table` contains `Row`s.
`boolean` | `hasSchema()` Returns `true` if this `Table` contains `Schema`.
`int` | `keyCount()` Gets the number of the key columns in this `Table`.
`int` | `rowCount()` Gets the number of the rows in this `Table`.

Methods inherited from interface oracle.dms.table.Name
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getSchema

    public Schema getSchema()

  Gets the `Schema` of this `Table`.
  Returns:
    the `Schema` of this `Table`. Returns `null` if users choose not to retrieve `Schema`.
  Since:
    Oracle Application Server 10g (10.1.3)

### rowCount

    public int rowCount()

  Gets the number of the rows in this `Table`.
  Returns:
    the number of the rows in this `Table`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getRow

    public Row getRow(Key key)

  Returns the `Row` identified by the given `Key`.
  Parameters:
    `key` - the `Key` object.
  Returns:
    the `Row` identified by the given `Key`.
  Since:
    Oracle Application Server 10g (10.1.3)

### enumerateRows

    public java.util.Enumeration enumerateRows()

  Enumerates the `Row`s in this `Table`. The order is not specified.
  Returns:
    `Enumeration` object for enumerating `Row`s in this `Table`.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `enumerateRows(RowComparator comparator)`, `enumerateRows(RowSelector selector)`

### enumerateRows

    public java.util.Enumeration enumerateRows(RowComparator comparator)

  Enumerates the `Row`s in this `Table` in the order determined by the given `RowComparator` object.
  Returns:
    `Enumeration` object for enumerating `Row`s this `Table` contains in the order determined by the given `RowComparator` object.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `enumerateRows()`, `enumerateRows(RowSelector selector)`

### enumerateRows

    public java.util.Enumeration enumerateRows(RowSelector selector)

  Enumerates the `Row`s in this `Table` that meet the criteria determined by the given `RowSelector` object.
  Returns:
    `Enumeration` object for enumerating `Row`s in this `Table` that meet the criteria determined by the given `RowSelector` object.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `enumerateRows()`, `enumerateRows(RowComparator comparator)`

### hasSchema

    public boolean hasSchema()

  Returns `true` if this `Table` contains `Schema`.
  Returns:
    `true` if this `Table` contains `Schema`.
  Since:
    Oracle Application Server 10g (10.1.3)

### hasRows

    public boolean hasRows()

  Returns `true` if this `Table` contains `Row`s.
  Returns:
    `true` if this `Table` contains `Row`s.
  Since:
    Oracle Application Server 10g (10.1.3)

### close

    public void close()

  Clears the contents of this `Table`. Users should not use this `Table` afterwards.
  Since:
    Oracle Application Server 10g (10.1.3)

### keyCount

    public int keyCount()

  Gets the number of the key columns in this `Table`.
  Returns:
    the number of the key columns in this `Table`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getKeys

    public java.lang.String[] getKeys()

  Gets the names of the key columns in this `Table` as an array.
  Returns:
    the names of the key columns in this `Table` as an array.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `KeyColumns.enumerateKeys(boolean sorted)`

### containsKey

    public boolean containsKey(java.lang.String name)

  Returns `true` if this `Table` contains the given key column.
  Parameters:
    `name` - the name of the key column.
  Returns:
    `true` if this `Table` contains the given key column.
  Since:
    Oracle Application Server 10g (10.1.3)

### enumerateKeys

    public java.util.Enumeration enumerateKeys(boolean sorted)

  Enumerates the names of the key columns in this `Table` as `String`s.
  Parameters:
    `sorted` - `true` enumerates the names of the key columns in the acsending order.
  Returns:
    `Enumeration` object for enumerating the names of the key columns in this `Table` as `String`s.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `KeyColumns.getKeys()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.